---
title: Instructions pour l'oral du 02.12.2020
date: 2020-12-02
---

# Administration

## Durée et préparation

- Durée de 20 min au total.
- 15 min de présentation, 5 min de questions.
- Prévoir une petite démo pendant la présentation.
- Préparer 5-10 slides (indicatif).

**Vous serez arrêté·e·s après 15min pour les questions!**

Corollaire 1: tout dépassement sera pénalisé.

Conseil: répétez et chronométrez vous!

## A rendre dans un format portable

- PowerPoint ou tout autre clone **n'est pas portable**!
- Déposer les slides sur *Cyberlearn* **avant** la présentation.
- Les slides doivent être au format **PDF** (éventuellement en HTML mais auto-contenu).
- Pour un exemple de slides en *pandoc* (latex-beamer ou revealjs-html) voir le git du cours.

# La présentation elle-même

## Contenu minimal de la présentation

1. Présentation générale du TP:
   - Quel est le contexte? (traitement d'image, pas "travail pratique de C").
   - Quel est le but?
   - Qu'avez-vous réalisé de façon globale?
   - ...
2. Présentation du travail réalisé:
   - Algo et code.
   - De préférence une partie qui vous a plu.
   - ...
   - **Impossible de tout présenter faites des choix!**
3. Conclusion:
   - Qu'est-ce qui est "remarquable" dans votre réalisation.
   - Qu'est-ce qui marche/marche pas.
   - Qu'est-ce que vous pouvez améliorer.
4. Les questions porteront sur **tout** le TP:
   - Questions théoriques (algos implémentés).
   - Questions de `C`, `Make`, ou `git`.

## A éviter

- Arriver sans savoir de quoi vous parlez.
- Découvrir les slides pendant la présentation.
- "J'ai écrit le code il y a longtemps je ne sais plus de quoi ça parle."
- Raconter votre vie en introduction (étudiant·e d'hepia, 18 ans, ...).
- "Ce travail m'a beaucoup plu parce que..."
- "J'ai beaucoup appris..."



