---
title: "Introduction générale"
date: "2021-09-21"
patat:
    wrap: true
    margins:
        left: 10
        right: 10
---

# La hotline

Nom                    Mél                               Bureau
--------------------   ------------------------------    --------------------
Orphée Antoniadis      orphee.antoniadis@hesge.ch        I305
Laurent Gantel         laurent.gantel@hesge.ch           I309
Quentin Leblanc        quentin.leblanc@hesge.ch          A403
Paul Albuquerque       paul.albuquerque@hesge.ch         B410
Orestis Malaspinas     orestis.malaspinas@hesge.ch       A401
--------------------   ------------------------------    --------------------

Utilisez le libre service:

* mardi: 12h-13h, mecredi: 12h-13h;
* jeudi: 13h-14h, vendredi: 16h30-18h.


# Communication

Tout le contenu de ce qu'on raconte se trouve sur cyberlearn:

- Algorithmes et structures de données
  - <https://cyberlearn.hes-so.ch/course/view.php?id=13941>
  - Clé d'inscription: algo_2021_22

- Programmation Sequentielle en C
  - <https://cyberlearn.hes-so.ch/course/view.php?id=12399>
  - Clé d'inscription: prog_seq_2021_22
* Espace de discussion 
  [Matrix](https://matrix.to/#/!aKYVlcclmPGYXQFxAK:matrix.org?via=matrix.org), 
  installez [element.io](https://element.io).

    ![](figs/matrix_qr.png){width=20%}

# Organisation du cours (1/3)

## But: Illustration des concepts vus au cours d'algorithmique

- Salle A501-2 pour la "théorie" (présentation langage et TPs).
- Salles A406-A432-A433 pour la "pratique".

## Le bâton

- Présence en cours **obligatoire** (13h-16h45 tous les mercredis).

## La carotte

- Rare cours d'informatique de première.
- Travaux pratiques amusants et stimulants.

# Organisation du cours (2/3)

- Travaux pratiques à faire en C.
- Chaque séance est un nouveau travail pratique (typiquement d0une durée d'une 
  séance).
- Vous aurez à utiliser `git` sur <https://gitedu.dmz.hesge.ch/> (réseau 
  interne)
- **Utilisez uniquement Linux** (dual boot sur vos portables).
- Les jeux vidéos sont pas une excuse pour pas avoir de linux.

# Organisation du cours (3/3)

- Les cours "théoriques" seront streamés sur 
  <https://bbb.hepiapp.ch/b/ore-xff-hkz-poh>.
- Ils seront également uploadés sur <https://tube.switch.ch/channels/f13ca21e>.
- Il y a un certain nombre de ressources se trouvant sur <https://malaspinas.academy>.
- Mon bureau est toujours ouvert (téléphonez quand vous êtes devant ou tapez *assez fort* sur la porte).
- N'hésitez pas à utiliser le salon *Matrix*.

# Évaluations

## Deux examens sur machine

- Seul devant votre ordinateur:
- Avec à disposition le manuel du C.

### Bonus

- Si vous *validez* vos TPs vous pouvez obtenir +1 bonne sur la note d'un 
  examen.
- Validation:
  - passez vers un enseignant (jeune) pour lui montrer que votre code marche 
    jusqu'à la séance suivante.

# Sondage: expérience de programmation

## [Sondage: expérience de linux](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=1291283)

## [Sondage: expérience de programmation](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=1035242)

**Installez un lecteur de QR code s'il-vous-plaît.**

# Questions?

- N'hésitez pas à poser des *questions*, nous sommes là pour ça! [^1]
- Ne restez pas coincés pendant des jours sur un problème.
- Utilisez le *libre-service*!
- N'hésitez pas à faire des *retours*: *négatifs* ou *positifs*.
- Il est très tentant de faire les TPs en groupe, mais il est **primordial** de 
  programmer vous-mêmes!

[^1]: Chaque étudiant·e·s a un quota de 5 questions par semestre.


