---
title: "Instructions pour l'oral du 21/22.06.2022"
date: "2022-06-07"
---

# Administration (1/2)

\footnotesize

## Rendus

* Le 18.06.2022 à 23h59 pour le code (heure du commit faisant fois).
* Le 20.06.2022 à 23h59 pour la présentation (heure de cyberlearn faisant fois).

## Durée et préparation

- Durée de 25 min au total.
- 20 min de présentation, 5 min de questions.
- Prévoir une petite démo pendant la présentation.
- Préparer 10-15 slides (indicatif).

**Vous serez arrêté·e·s après 20min pour les questions!**

Corollaire 1: tout dépassement sera pénalisé.

Conseil: répétez et chronométrez vous!

# Administration (2/2)

## A rendre dans un format portable

- PowerPoint ou tout autre clone **n'est pas portable**!
- Déposer les slides sur *Cyberlearn* **avant** la présentation.
- Les slides doivent être au format **PDF** (éventuellement en HTML mais auto-contenu).
- Pour un exemple de slides en *pandoc* (latex-beamer ou revealjs-html) voir le git du cours.

## Pondération

* Code 3/4;
* Présentation 1/4.

# La présentation elle-même (1/2)

## Contenu minimal de la présentation

1. Présentation générale du TP:
   - Quel est le contexte? (traitement d'image, pas "travail pratique de C").
   - Quel est le but?
   - Qu'avez-vous réalisé de façon globale?
   - ...
2. Présentation d'une partie significative du travail réalisé:
   - Algo et code.
   - De préférence une partie qui vous a plu.
   - ...
   - **Impossible de tout présenter faites des choix!**

# La présentation elle-même (2/2)

## Contenu minimal de la présentation (suite)

3. Conclusion:
   - Qu'est-ce qui est "remarquable" dans votre réalisation.
   - Qu'est-ce qui marche/marche pas.
   - Qu'est-ce que vous pouvez améliorer.
4. Les questions porteront sur **tout** le TP:
   - Questions théoriques (algos implémentés).
   - Questions de `C`, `Make`, ou `git`.

# Quelques conseils

## A éviter

- Arriver sans savoir de quoi vous parlez.
- Découvrir les slides pendant la présentation.
- "J'ai écrit le code il y a longtemps je ne sais plus de quoi ça parle."
- Raconter votre vie en introduction (étudiant·e d'hepia, 18 ans, on m'a demandé de programmer un truc, ...).
- "Ce travail m'a beaucoup plu parce que..."
- "J'ai beaucoup appris..."

# Des questions?

\Huge Des questions?

