#ifndef _STACK_H_
#define _STACK_H_

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <stdbool.h>

typedef struct _element element;

typedef element * stack;

stack stack_create(void);

bool stack_is_empty(stack s);

int stack_length(stack s);

stack *stack_push(stack *s, void *data);

void *stack_pop(stack *s);

void *stack_peek(stack s);

void stack_empty(stack *s, void (*custom_free)(void *));

#endif // STACK_H
