---
title: "Introduction générale"
date: "2022-09-20"
---

# La hotline

Nom                    Mél                               Bureau
--------------------   ------------------------------    --------------------
Kevin Heirich          kevin.heirich@hesge.ch            A403
Michaël El Kharroubi   michael.el-kharroubi@hesge.ch     A403
Pierre Kunzli          pierre.kunzli@hesge.ch            
Paul Albuquerque       paul.albuquerque@hesge.ch         B410
Orestis Malaspinas     orestis.malaspinas@hesge.ch       A401
--------------------   ------------------------------    --------------------

Utilisez le libre service (pas encore commencé):

* lundi: 12h-13h, mecredi: 12h-13h;
* jeudi: 12h-13h, vendredi: 17h-18h.


# Communication

Tout le contenu de ce qu'on raconte se trouve sur cyberlearn:

- Algorithmes et structures de données
  - <https://cyberlearn.hes-so.ch/course/view.php?id=13941>
  - Clé d'inscription: algo_2021_22

- Programmation Sequentielle en C
  - <https://cyberlearn.hes-so.ch/course/view.php?id=12399>
  - Clé d'inscription: prog_seq_2021_22
* Espace de discussion 
  [Matrix](https://matrix.to/#/!aKYVlcclmPGYXQFxAK:matrix.org?via=matrix.org), 
  installez [element.io](https://element.io).

    ![](figs/matrix_qr.png){width=20%}

# Organisation du cours (1/3)

## But: Illustration des concepts vus au cours d'algorithmique

- Salle A502 pour la "théorie" (présentation langage et TPs).
- Salles A406-A432-A433 pour la "pratique".

## Le bâton

- Présence en cours **obligatoire** (13h-16h45 tous les mardis).
- P. Albuquerque note les présences.

## La carotte

- Rare cours d'informatique de première.
- Travaux pratiques amusants et stimulants.

# Organisation du cours (2/3)

- Travaux pratiques à faire en C.
- Chaque séance est un nouveau travail pratique (typiquement d'une durée d'une 
  séance).
- Vous aurez à utiliser `git` sur <https://gitedu.hesge.ch/>.
- **Utilisez uniquement Linux** (dual boot sur vos portables).
- Les jeux vidéos sont pas une excuse pour pas avoir de linux[^1].

[^1]: [80 Percent of Steam's Top 100 Games Run 'Nearly Flawlessly' on Linux](https://www.tomshardware.com/news/80-percent-of-steam-games-run-on-linux).

# Organisation du cours (3/3)

- Les cours "théoriques" seront streamés sur <https://bbb.hesge.ch/b/ore-xff-hkz-poh>.
- Vous y trouverez également les replay sponsorisés par HEPIA-VPN[^2]! 
- Il y a un certain nombre de ressources se trouvant sur <https://malaspinas.academy>.
- Mon bureau est toujours ouvert (tapez *assez fort* sur la porte).
- N'hésitez pas à utiliser le salon *Element*.

[^2]: Likez, followez, et abonnez vous à la chaîne pour la faire vivre!

# Évaluations

## 1er semestre deux examens sur machine

- Seul·e devant votre ordinateur.
- Avec à disposition le manuel du C.

## 2e semestre

- on verra au deuxième semestre

# Sondage: expérience de programmation

## [Sondage: expérience de linux](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=1291283)

## [Sondage: expérience de programmation](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=1035242)

**Installez un lecteur de QR code s'il-vous-plaît.**

# Questions?

- N'hésitez pas à poser des *questions*, nous sommes là pour ça! [^3]
- Ne restez pas coincés pendant des jours sur un problème.
- Utilisez le *libre-service*!
- N'hésitez pas à faire des *retours*: *négatifs* ou *positifs* (évaluations des cours, ou au cours de discussions).
- Il est très tentant de faire les TPs en groupe, mais il est **primordial** de programmer vous-mêmes (c'est comme apprendre une langue)!

[^3]: Chaque étudiant·e·s a un quota de 1 question par semestre.


